﻿namespace AirBomber.Entities
{
    public class BomberEntityBase
    {
        public int Speed { get; private set; }
        public double Weight { get; private set; }
        public Color BodyColor { get; private set; }
        public double Step => (double)Speed * 100 / Weight * 5 / 2;

        public BomberEntityBase(int Speed, double Weight, Color BodyColor)
        {
            this.Speed = Speed;
            this.Weight = Weight;
            this.BodyColor = BodyColor;
        }

        public void SetBaseColor(Color BaseColor)
        {
            BodyColor = BaseColor;
        }
    }
}
