﻿using System.Runtime.Serialization;

namespace AirBomber.Exceptions
{
    [Serializable]
    internal class EntityNotFoundException : ApplicationException
    {
        public EntityNotFoundException(int i)
            : base($"Не найден объект по позиции {i}")
        { }

        public EntityNotFoundException()
            : base()
        { }

        public EntityNotFoundException(string Message) 
            : base(Message) 
        { }

        public EntityNotFoundException(string Message, Exception Exception)
            : base(Message, Exception)
        { }

        public EntityNotFoundException(SerializationInfo Info, StreamingContext Context)
            : base(Info, Context)
        { }
    }
}
