﻿using System.Runtime.Serialization;

namespace AirBomber.Exceptions
{
    [Serializable]
    internal class StorageOverflowException : ApplicationException
    {
        public StorageOverflowException(int Count)
            : base($"В наборе превышено допустимое количество {Count}")
        { }

        public StorageOverflowException()
            : base()
        { }

        public StorageOverflowException(string Message)
            : base(Message)
        { }

        public StorageOverflowException(string Message, Exception Exception)
            : base(Message, Exception)
        { }

        public StorageOverflowException(SerializationInfo Info, StreamingContext Context)
            : base(Info, Context)
        { }
    }
}
