﻿namespace AirBomber.Generics
{
    internal class BombersCollectionInfo : IEquatable<BombersCollectionInfo>
    {
        public string Name { get; private set; }
        public string Description { get; private set; }
        
        public BombersCollectionInfo(string Name, string Description)
        {
            this.Name = Name;
            this.Description = Description;
        }

        public bool Equals(BombersCollectionInfo? rhs)
        {
            if (this.Name == rhs?.Name)
                return true;

            return false;
        }

        public override int GetHashCode()
        {
            return Name.GetHashCode();
        }
    }
}
